Summary: Some challenging varients of the classic Tetris game
Name: altris
Version: 1.2.1
Release: 1
Source: ftp://sunsite.unc.edu/pub/Linux/X11/games/video/altris-1.2.1.tgz
Copyright: GPL 
Packager: chorn@warwick.net
Group: X11/Games/Video
Patch: altris-1.2.1-install.patch

%description
A few variations on the popular tetris game. The tetris implementation
has been modified to support more blocks including diagonal ones.
Welltris is a variation on it where the blocks slide down a 3D well.
Tertris is a triangular version where the polyominoes also bounce off
of the walls, and hextris is a hexagonal implementation where the
polyhexes bounce off the walls.

%prep
cd /usr/src/redhat/BUILD
rm -rf altris-1.2.1
gzip -dc /usr/src/redhat/SOURCES/altris-1.2.1.tgz | tar -xvvf -
%patch -p0

%build
cd altris-1.2.1
make -f altris.Makefile

%install
cd altris-1.2.1
make -f altris.Makefile install

%files
/usr/X11R6/bin/tetris
/usr/X11R6/man/man1/tetris.1x
/usr/X11R6/bin/tertris
/usr/X11R6/man/man1/tertris.1x
/usr/X11R6/bin/hextris
/usr/X11R6/man/man1/hextris.1x
/usr/X11R6/bin/welltris
/usr/X11R6/man/man1/welltris.1x
